Loading...
Searching...
No Matches
FtpPoller::FtpPollerDataProvider Class Reference

Event-based data provider for FTP polling events. More...

Inheritance diagram for FtpPoller::FtpPollerDataProvider:
[legend]

## Public Member Functions

| constructor (*hash< auto > options)
| Creates the object from constructor options.
Public Member Functions inherited from FtpPoller::FtpPollerDataProviderBase
| constructor (*hash< auto > options)
| Creates the object from constructor options.
*string | getDesc ()
| Returns the data provider description.
| updateConnectionObjects (object conn, object connobj)
| Update any connection used by the data provider.

## Public Attributes

const | ProviderInfo = ...
| Provider info.
Public Attributes inherited from FtpPoller::FtpPollerDataProviderBase
const | ConstructorOptions = ...
| Constructor options.

## Additional Inherited Members

Protected Member Functions inherited from FtpPoller::FtpPollerDataProviderBase
hash< string, hash< DataProviderMessageInfo > > | getEventTypesImpl ()
| Returns a hash of all supported event types.
Protected Attributes inherited from FtpPoller::FtpPollerDataProviderBase
EmbeddedFtpPoller | poller
| The file poller itself.

## Detailed Description

Event-based data provider for FTP polling events.

When using the `local_dir` option, the local file must be removed / moved / archived by the event handler

The event ID raised for FTP file events is `"ftp-file-event"` (see EVENT_FTP_FILE)